/** 
@file main.cpp
@brief program main and its implementation
@brief call functions here need one
*/

 #include "main.h"

int main()
{
    PHY_PowerDown();  ///power down to minimise power usage 
    lcd.init();        ///nitialise lcd display
    welcomeMessage();  //print welcome message 
    lcd.clear();       //clear lcd
    
    button.rise(&buttonPressed);  //event generated on rising edge
    
    
   set_time(1431359340);   ///set time using UNIX time

    while(1) {
        ///potentiometer to control the lcd backlight
        if (potBrightness <= 0.1) {
            lcd.turnOff();


        }
        if (potBrightness >= 0.1) {
            lcd.init();
            lcdBrightness=potBrightness;
        }
        
        
        lcd.clear();
        getDistance();    ///sensor measure the distance
        
        ///print distance measure on the lcd 
        char buffer [14];
        int length = sprintf(buffer,"%d cm",distance);
        if (length<=14)
        lcd.printString(buffer, 22,1);  //print distance
        lcd.drawRect(20,6,45,10,0);     //box for value of distance on lcd

        
        ///if button is pressed, read distance (print car and wall)
        if (buttonFlag) { //if flag is set = 1

            setTimeFlag = ~setTimeFlag;   //if button is pressed again, back to initial display
            buttonFlag = 0;    //button flag is set to initial value
        }

        if (setTimeFlag) {
             readDistance();  //draw car and obstacle
            


        } else {
           
            timeZone();  ///Display time & date to the user


        }

    }
}













